Installer crashed with error in grubinstaller

Bug #817912 reported by George Algozzini on 2011-07-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub-installer (Ubuntu)
Undecided
Unassigned

Bug Description

The installer asked me to open this bug report. It also wants me to attach two files however I can only attach one.

George Algozzini (galgoz-r) wrote :
George Algozzini (galgoz-r) wrote :
George Algozzini (galgoz-r) wrote :

As you may have noticed it let me add the other file afterwards.

Massimo Forti (slackwarelife) wrote :

Hi,
Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug was put incomplete because it does not have enough data. First, what version of Ubuntu are you installing? Have you used the CD or DVD image? Thank you very much.

Changed in ubiquity (Ubuntu):
status: New → Incomplete
tags: added: ubiquity-2.6.10
tags: added: natty
Brian Murray (brian-murray) wrote :

Jul 29 08:10:21 mint grub-installer: info: architecture: amd64/efi
Jul 29 08:10:22 mint grub-installer: info: Identified partition label for /dev/sda5: msdos
Jul 29 08:10:23 mint grub-installer: dpkg: warning: there's no installed package matching grub
Jul 29 08:10:23 mint grub-installer: dpkg: warning: there's no installed package matching grub-legacy
Jul 29 08:10:23 mint grub-installer: dpkg: dependency problems prevent removal of grub-pc:
Jul 29 08:10:23 mint grub-installer: startupmanager depends on grub | grub-pc; however:
Jul 29 08:10:23 mint grub-installer: Package grub is not installed.
Jul 29 08:10:23 mint grub-installer: Package grub-pc is to be removed.
Jul 29 08:10:23 mint grub-installer: dpkg: error processing grub-pc (--purge):
Jul 29 08:10:23 mint grub-installer: dependency problems - not removing
Jul 29 08:10:23 mint grub-installer: dpkg: dependency problems prevent removal of grub-gfxpayload-lists:
Jul 29 08:10:23 mint grub-installer: grub-pc depends on grub-gfxpayload-lists.
Jul 29 08:10:23 mint grub-installer: dpkg: error processing grub-gfxpayload-lists (--purge):
Jul 29 08:10:23 mint grub-installer: dependency problems - not removing
Jul 29 08:10:23 mint grub-installer: Errors were encountered while processing:
Jul 29 08:10:23 mint grub-installer: grub-pc
Jul 29 08:10:23 mint grub-installer: grub-gfxpayload-lists
Jul 29 08:10:23 mint ubiquity: umount: /target/cdrom: not found
Jul 29 08:10:23 mint plugininstall.py: log-output -t ubiquity umount /target/cdrom
Jul 29 08:10:23 mint finish-install: Disabling CD in sources.list
Jul 29 08:10:23 mint plugininstall.py: Exception during installation:
Jul 29 08:10:23 mint plugininstall.py: Traceback (most recent call last):
Jul 29 08:10:23 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1551, in <module>
Jul 29 08:10:23 mint plugininstall.py: install.run()
Jul 29 08:10:23 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 56, in wrapper
Jul 29 08:10:23 mint plugininstall.py: func(self)
Jul 29 08:10:23 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 201, in run
Jul 29 08:10:23 mint plugininstall.py: self.configure_bootloader()
Jul 29 08:10:23 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 844, in configure_bootloader
Jul 29 08:10:23 mint plugininstall.py: "GrubInstaller failed with code %d" % ret)
Jul 29 08:10:23 mint plugininstall.py: InstallStepError: GrubInstaller failed with code 1
Jul 29 08:10:23 mint plugininstall.py:

summary: - Installer crashed
+ Installer crashed with error in grubinstaller
Changed in ubiquity (Ubuntu):
status: Incomplete → Confirmed
Brian Murray (brian-murray) wrote :

Massimo by looking at the log files its possible to determine the version of Ubuntu being installed.

George Algozzini (galgoz-r) wrote :

I was installing Mint 11 DVD via USB that was setup from unetbootin. It was being installed on a Samsung notebook model NP-QX410-J01US that was just purchased yesterday.

It failed at the same point 3 times, the 3rd time I posted the bug report. I have used this USB drive to install on a Toshiba notebook successfully.

Massimo Forti (slackwarelife) wrote :

@Brian: thanks for the suggestion.
@George: searching in Ubuntu BUG, this bug is the same of #765270, but your ubiquity is not of Ubuntu 11.04 (from which it derives), but it is Linux Mint 11 “Katya". However I am going to mark it duplicate the bug above. Many thanks.

Colin Watson (cjwatson) wrote :

Please do not reopen this bug. I'll unduplicate bug 817912 and handle it separately; it is in fact slightly different.

Colin Watson (cjwatson) wrote :

Sorry, I meant to post the above to bug 765270 ...

affects: ubiquity (Ubuntu) → grub-installer (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments